//
//  FirstViewController.h
//  TabBar Navigation
//
//  Created by Holger Hinzberg on 29.02.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface FirstViewController : UIViewController

// Eigenschaften für die Schieberegler
@property (strong, nonatomic) 
    IBOutlet UISlider *redSlider;
@property (strong, nonatomic) 
    IBOutlet UISlider *greenSlider;
@property (strong, nonatomic) 
    IBOutlet UISlider *blueSlider;

@property (strong, nonatomic) 
    IBOutlet UILabel *hexValueLabel;

// Action für die Schieberegler
- (IBAction)redSliderMoved:(id)sender;
- (IBAction)greenSliderMoved:(id)sender;
- (IBAction)blueSliderMoved:(id)sender;

// Setzen der Hintergrundfarbe
-(void)setBackgroundColor;
-(NSString *)generateHexStringWithRed:(double)redValue
                                green:(double)greenValue
                                 blue:(double)blueValue;

@end
